| Home | Libraries | People | FAQ | More

#### ssl::context_base::method

Different methods supported by a context.

    enum method

###### Values

sslv2

  Generic SSL version 2.

sslv2_client

  SSL version 2 client.

sslv2_server

  SSL version 2 server.

sslv3

  Generic SSL version 3.

sslv3_client

  SSL version 3 client.

sslv3_server

  SSL version 3 server.

tlsv1

  Generic TLS version 1.

tlsv1_client

  TLS version 1 client.

tlsv1_server

  TLS version 1 server.

sslv23

  Generic SSL/TLS.

sslv23_client

  SSL/TLS client.

sslv23_server

  SSL/TLS server.